Ubuntu Dapper Flight 4, arriva XGL

E’ finalmente è arrivata la 4 alpha release (conosciuta anche come “Flight”) di Ubuntu Linux 6.04 “Dapper Drake”, ed è arrivata con un sacco di sorprese, prima fra tutte la disponibilità nel repository “universe” della pacchettizzazione (abbastanza) stabile di XGL. Giusto due righe su quest’ultimo: fantastico e semplicissimo da installare e configurare se si possiede l’hardware giusto.

Due immagini dalla mia installazione fresca di giornata 😉

xgl1
xgl2

Per le altre (tante!) novità vi rimando alle note di rilascio ufficiali.

Aggiornamento: Ho caricato su RapidShare un piccolo (10MB) filmato dimostrativo di XGL al lavoro su Ubuntu Dapper Flight 4.

Aggiornamento 2: visto che qualcuno l’ha richiesto ho inserito nel wiki la procedura che ho seguito per installare XGL (che poi non è altro che la copia spudorata dell’HowTo pubblicato su ubuntuforums.org, ridotto all’osso e semi-tradotto in italiano).

Informazioni su Roberto 349 Articoli

Roberto “rbnet” Bolli, (ri)fondatore di rbnet.it con la passione per la tecnologia, Linux ed i meme Internet. La notte giocatore incallito di The Last of US su Playstation 4, di giorno “lavoricchiatore” in Francia, nazione dove cerca di sopravvivere non conoscendone la lingua.

24 Commenti

  1. Accertati di avere installato tutte le dipendenze richieste ed inoltre assicurati di aver scaricato esattamente la versione che ti ho indicato: con tutte le altre, anche le più recenti, ho avuto molti problemi. In ogni caso quell’errore è abbastanza comune e solitamente è dovuto alla mancanza del file rgb.txt in “/etc/X11/rgb.txt” oppure non hai il symlink “/usr/X11R6/lib/X11/rgb.txt” che dovrebbe puntare allo stesso file (sono andato ad “occhio”, sono al lavoro e purtroppo non ho una macchina linux sotto mano).

    Ciauz!

  2. ti stresso ancora…installato come hai detto tu xvidcap, quando lo lancio mi da:

    Warning: Color name “black” is not defined
    Warning: Color name “grey90” is not defined
    Warning: Color name “blue4” is not defined
    Warning: Color name “grey60” is not defined
    Warning: Color name “grey95” is not defined
    Warning: Color name “grey70” is not defined
    Warning: Color name “white” is not defined
    Warning: Color name “red” is not defined
    non posso cambiare i parametri non registra non mostra nulla… 🙁

  3. Scarica il file che ho indicato poco sopra, poi prova a dare “dpkg -i nomefile.deb” – se ti da errori di dipendenze installa i pacchetti richiesti tramite synaptic.

    Per le icone: di default su ubuntu sono disabilitate; per abilitarle esegui da terminale “gconf-editor”, poi spostati nel ramo apps -> nautilus -> desktop… il resto è abbastanza semplice. Questa procedura vale per qualsiasi versione di ubuntu.

    CiauZ!

  4. Beh…essendo niubbo non sono in grado di installarlo.. 🙁 Tu pensa che su breezy riesco a visualizziare tutte le icone tipo computer e cestino sul desktop…su flight 4 no!) son troppo niubbo.. 🙂

  5. Perfetto 🙂

    (g)xvidcap che problemi ti da? non ricordo se ho installato dipendenze varie, comunque qui funziona benino (tranne il fatto che è abbastanza pesante e che se non sto attento mi frigge la cpu).

    ‘notte!

  6. OK…risolto anke lo zoom! Ho semplicemente cambiato la combinazione di tasti…;) attendo info su come installare il videograbber…sarebbe carino!

  7. Figurati! é il minimo per tutto quello che hai fatto per me! 😛
    Perfetto…ho risolto la scattosità! Ma non va lo zoom…assolutamente…why!? Potresti illuminarmi sull’installazione di gvidcap? tnx a lot!

  8. Funziona alla perfezione, grazie! 🙂

    Per le finestre scattose non ho avuto bisogno di fix, solo di reimpostare il refresh assegnato alle finestre da compiz, guarda qui: http://www.rbnet.it/wiki/li

    Per lo zoom devi utilizzare il tasto “Win” (quello posto tra ctrl ed alt a dx e sx della barra spaziatrice) + tasto destro del mouse; oppure tasto Win+rotella mouse.

  9. Ahe, son contento, bravo 😉
    Mi sono accorto che le trasparenze non funzionano neanche a me: credo che ci siano un po’ di prob ancora, così come per le texture da applicare al cubo.
    Per la registrazione delle sessioni ho utilizzato “gvidcap”, incluso nel pacchetto “xvidcap_1.1.3-1_i386_testing.deb”. Lo trovi qui:
    http://sourceforge.net/proj… Occhio che le altre versioni sembrano non funzionare su dapper f4 (ed anche questa ha i suoi problemi).

    CiauZ!

  10. Ok ragazzi… 🙂 volevo solo rendervi noto che ce l’o fattaaaaaaaaaaaaaaaaa!!!!!!!!!!!!!! 🙂

    Solo una cosa non riesco ad abilitare…la trasparenza con il mouse weel…ci sto lavorando..nel frattempo mi sapete dire come registrare una sessione in ubuntu? Intendo videocapture..su winzozz uso CAMSTASIA. GRAZIE PER I CONSIGLI PREZIOSI!

  11. c’ho provato…il prob è proprio quello! scusami se sto “inquinando” il tuo blog…guarda qui..

    root@ubuntu:~# sudo apt-get install nvidia-settings nvidia-glx linux-restricted-modules-386 nvidia-kernel-common
    Lettura della lista dei pacchetti in corso… Fatto
    Generazione dell’albero delle dipendenze in corso… Fatto
    nvidia-settings è già alla versione più recente.
    linux-restricted-modules-386 è già alla versione più recente.
    nvidia-kernel-common è già alla versione più recente.
    Alcuni pacchetti non possono essere installati. Questo può voler
    dire che è stata richiesta una situazione impossibile oppure, se
    si sta usando la distribuzione “unstable”, che alcuni pacchetti
    richiesti non sono ancora stati creati o rimossi da incoming.
    Le seguenti informazioni possono aiutare a risolvere la situazione:

    I seguenti pacchetti hanno dipendenze non soddisfatte:
    nvidia-glx: Va in conflitto: nvidia-settings ma 1.0-3ubuntu7 sta per essere installato
    E: Pacchetto non integro

    poi: sudo: nvidia-glx-config: command not found

  12. Eidan, solitamente per installare i driver bisogna seguire questa procedura:
    * abilitare i repos restricted (e già che ci sei universe/multiverse);
    * aggiornare la lista dei pacchetti disponibili con “sudo apt-get update”;
    * installare driver e dipendenze:
    “sudo apt-get install nvidia-settings nvidia-glx linux-restricted-modules-386 nvidia-kernel-common” (installare “linux-restricted-modules-686” al posto del “-386” se si utilizza un kernel per 686);
    * per abilitare i driver eseguire “sudo nvidia-glx-config enable”;
    * ctr+alt+backspace per far ripartire X, e ti dovresti ritrovare con i driver caricati ed utilizzati.

  13. Ok…ci rinuncio…da quel che ho capito non ho ii driver nvidia corretti installati.quindi non ho accelerazione. Ci rinuncio…ho provato in tutti i modi a installare i driver…nisba.. 🙁

  14. Ho una nvidia 6600 gt agp 8x. Ti spiace magari postare una guida passo passo? Su come vedere se la scheda è supportata..installare gli ultimi driver..etc etc? C’ho provato 10 volte.. 🙁

  15. Mi dispiace, ma non utilizzo msn. Per ripristinare il tutto elimina (apt-get remove) xgl ed i pacchetti che si è portato dietro e se necessario riconfigura X (dpkg-reconfigure xserver-xorg).

    Comunque prova a seguire l’how-to pubblicato sul forum (http://ubuntuforums.org/showthread.php?t=131267) : l’ho fatto più volte e non ho incontrato problemi. Accertati di avere installato gli ultimi driver per la tua scheda video (nv6800 nel mio caso) e soprattutto accertati che la scheda sia supportata. Poi installa via apt tutti i pacchetti richiesti e configura il tutto seguendo sempre i consigli dell’howt-to. Ricordati comunque che l’implementazione di xgl su ubuntu non è stabile e che non ne è consigliato l’uso su sistemi di produzione.

  16. Salve ragassuoli…beh…ho provato a seguire la guida per installare XGL…ma quando mi dice di riavviare..riavvio..E NON PARTE + NIENTE…NE GNOME NE GDM… 🙁 cosa può essere?

  17. A me KDE 3.5.x su Debian/unstable per AMD64 con tutti gli effetti abilitati (ombre, trasp, etc) funziona alla perfezione dopo aver apportato le solite modifiche al file di configurazione xorg.conf (nvidia 6800+ultimi driver nvidia). Il fatto che ti vada in crash solo in determinate situazione mi fa pensare ad una configurazione errata di “qualcosa” (ma non chiedermi cosa) 🙂

  18. Che figata :Q_ Ne avevo già sentito parlare molto bene, e quello che mi fa rosicare di più è che probabilmente non riuscirò mai a far girare bene questi effetti, visto che già con KDE 3.5 e la trasparenza/ombre ho dei problemi (mi va in crash X dopo tot. finestre aperte [specialmente Konqueror]).
    Pensi che dipenda dal fatto che ho installato la versione unstable di KDE, o dalla mia NVIDIA GeForce 5600 ?

    Scusa per il piccolo OT, credo che un’escursione su Ubuntu a questo punto sia necessaria. 😀

    eKoeS

Lascia un commento

L'indirizzo email non sarà pubblicato.


*